> For the complete documentation index, see [llms.txt](https://docs.digit.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.digit.org/local-governance/deploy/configure-digit/setting-up-master-data/adding-new-master.md).

# Adding New Master

## Overview

For creating a new master in MDMS, create the JSON file with the master data and configure the newly created master in the master config file.

## Pre-requisites

Before proceeding with the configuration, make sure the following pre-requisites are met -

* User with permission to edit the git repository where MDMS data is configured.

## Deployment Details

After adding the new master, the MDMS service needs to be restarted to read the newly added data.

## Configuration Details

### **Creating Master JSON**

The new JSON file needs to contain 3 keys as shown in the below code snippet.\
The new master can be created either State-wise or ULB-wise. Tenant id and config in the master config file determine this.

```
{
  "tenantId": "< TENANT ID >",
  "moduleName": "< MODULE NAME >",
  "< MASTER NAME >": []
}
```

### **Configuring The Master Config File**

The Master config file is structured as below. Each key in the Master config is a module and each key in the module is a master.

```
{
  "<module1>":{
    "<master1>":{},
    "<master2>":{},
    ...
  },
  "<module2>":{
    <master3>:{},
    <master4>:{},
    ...
  },
  ...
}
```

Each master contains the following data and the  keys are self-explanatory

```
"master":{
    "masterName": "<>",
    "isStateLevel": true,
    "uniqueKeys": []
}
```

## Reference Docs

### Doc Links

| Description                 | Link                                                                                                                         |
| --------------------------- | ---------------------------------------------------------------------------------------------------------------------------- |
| Sample Master file          | <https://github.com/egovernments/playground-mdms-data/blob/master/data/pg/PropertyTax/ConstructionType.json>                 |
| Sample Master configuration | <https://github.com/egovernments/playground-mdms-data/blob/081a232c26be11a9d803d4490e01d49a7e35985c/master-config.json#L561> |

[![Creative Commons License](https://i.creativecommons.org/l/by/4.0/80x15.png)](http://creativecommons.org/licenses/by/4.0/)All content on this page by [eGov Foundation ](https://egov.org.in/)is licensed under a [Creative Commons Attribution 4.0 International License](http://creativecommons.org/licenses/by/4.0/).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.digit.org/local-governance/deploy/configure-digit/setting-up-master-data/adding-new-master.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
